Page MenuHomePhabricator

Add polytonic characters for Greek to MediaWiki's special character list as used in WikiEditor and VisualEditor
Closed, ResolvedPublic1 Story Points

Description

Per @Pompilos:

Hi. Visual editor include a poor version of Greek alphabet, able to write only modern Greek (monotonic alphabet), but not classical Greek, because it lacks polytonic characters. Can anyone add the lacking characters? They can be seen here.

Event Timeline

Elitre created this task.Mar 21 2016, 3:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 21 2016, 3:09 PM
Lsanabria added a comment.EditedMar 21 2016, 8:57 PM

For reference, this conversation was also opened in the VP at eswiki.

In case this helps, the character set in question is the Greek Extended set.

It is available in eswiki (and enwiki) in the character list at the bottom of the wikicode editor. Looks like that function is not present in the visual editor (to the best of my knowledge).

Can this charset be added as "Greek Extended" (or similar name) in the VE special character tool?

Change 278895 had a related patch set uploaded (by Esanders):
Add 'Greek extended' group to special characters

https://gerrit.wikimedia.org/r/278895

Jdforrester-WMF renamed this task from Add polytonic characters for Greek to special character menu to Add polytonic characters for Greek to MediaWiki's special character list as used in WikiEditor and VisualEditor.Mar 22 2016, 2:34 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.

Hi there.

Though doing this is technically pretty easy, it's a change that affects all MediaWiki editors probably forever (slowing down the load of this tool by a small amount of time and adding a tiny bit more complexity), so I'd like to make sure everyone agrees that this is the right way to do this. Perhaps someone from the Language-Team team could comment?

The additional load time is probably < 1ms. As we defer the loading of the data we can aim for it to be comprehensive when it does load.

Adding some individuals who might be able to give a steer on this.

Change 278895 merged by jenkins-bot:
Add 'Greek extended' group to special characters

https://gerrit.wikimedia.org/r/278895

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 8:58 AM

I can see this in the non-WP wikis but the name shows as "special-characters-group-greekextended", even in the English wikis.

Also, this is not visible in the Wikieditor, only in the VisualEditor. Not a real problem but I mention it because of the title of this item.

Change 283500 had a related patch set uploaded (by Esanders):
Follow-up Idb1202579: Add special-characters-group-greekextended to RL module

https://gerrit.wikimedia.org/r/283500

Change 283502 had a related patch set uploaded (by Esanders):
Add 'Greek extended' to special character list

https://gerrit.wikimedia.org/r/283502

Esanders reopened this task as Open.Apr 14 2016, 6:59 PM

Change 283506 had a related patch set uploaded (by Alex Monk):
Follow-up Idb1202579: Add special-characters-group-greekextended to RL module

https://gerrit.wikimedia.org/r/283506

Change 283500 merged by jenkins-bot:
Follow-up Idb1202579: Add special-characters-group-greekextended to RL module

https://gerrit.wikimedia.org/r/283500

Change 283506 merged by jenkins-bot:
Follow-up Idb1202579: Add special-characters-group-greekextended to RL module

https://gerrit.wikimedia.org/r/283506

Change 283502 merged by jenkins-bot:
Add 'Greek extended' to special character list

https://gerrit.wikimedia.org/r/283502

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 11:02 PM